de.esprit.common.log

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - de.esprit.common.log.LogLevel

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<LogLevel>

      public enum LogLevel
      extends java.lang.Enum<LogLevel>
      implements NlsKey

  This class represents a LogLevel constant.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `DUMP`
    `ERROR`
    `FATAL`
    `INFO`
    `OFF`
    `VERBOSE`
    `WARNING`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogLevel` | `fromInt(int value)`
    `static LogLevel` | `fromString(java.lang.String levelName)`
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `static LogLevel[]` | `getLogLevels()`
    `java.lang.String` | `getShortName()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `boolean` | `isDebug()`
    `boolean` | `isDump()`
    `boolean` | `isError()`
    `boolean` | `isErrorOrWarning()`
    `boolean` | `isFatal()`
    `boolean` | `isInfo()`
    `boolean` | `isOff()`
    `boolean` | `isVerbose()`
    `boolean` | `isWarning()`
    `boolean` | `mustPrint(LogLevel level)` Tells whether this LogLevel as the currently configured one would allow to print the given log-level.
    `static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### OFF

          public static final LogLevel OFF

    - #### FATAL

          public static final LogLevel FATAL

    - #### ERROR

          public static final LogLevel ERROR

    - #### WARNING

          public static final LogLevel WARNING

    - #### INFO

          public static final LogLevel INFO

    - #### VERBOSE

          public static final LogLevel VERBOSE

    - #### DEBUG

          public static final LogLevel DEBUG

    - #### DUMP

          public static final LogLevel DUMP

  - ### Method Detail

    - #### values

          public static LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevel c : LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isOff

          public boolean isOff()

    - #### isError

          public boolean isError()

    - #### isFatal

          public boolean isFatal()

    - #### isWarning

          public boolean isWarning()

    - #### isInfo

          public boolean isInfo()

    - #### isVerbose

          public boolean isVerbose()

    - #### isDebug

          public boolean isDebug()

    - #### isDump

          public boolean isDump()

    - #### isErrorOrWarning

          public boolean isErrorOrWarning()

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getShortName

          public java.lang.String getShortName()

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getLogLevels

          public static LogLevel[] getLogLevels()

    - #### fromInt

          public static LogLevel fromInt(int value)

    - #### fromString

          public static LogLevel fromString(java.lang.String levelName)

    - #### mustPrint

          public boolean mustPrint(LogLevel level)

      Tells whether this LogLevel as the currently configured one would allow to print the given log-level.
      Parameters:
        `level` - the current desired LogLevel to be printed
      Returns:
        true if printing of the given log-level is needed

Copyright © 2014 EsprIT-Systems. All Rights Reserved.